[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.DCSetPixel

Sets the color for a pixel on the specified device context.

## Declaration

Source position: interfacebase.pp line 162

`public procedure TWidgetSet.DCSetPixel(`
`CanvasHandle: HDC;`
`X: Integer;`
`Y: Integer;`
`AColor: TGraphicsColor`
`); virtual; abstract;`

## Arguments

`CanvasHandle` |  | Handle (device context) with the image data updated in the method.
`X` |  | Horizontal coordinate for the pixel updated in the method.
`Y` |  | Vertical coordinate for the pixel updated in the method.
`AColor` |  | Color value for the specified pixel.

## Description

Defined as an abstract virtual method. Must be implemented in a descendent class to use the image format and device context needed for the platform.